Create facet configuration

šŸ” This endpoint requires HTTP authentication (either Basic or Bearer). For authenticating with Bearer token, required scopes are: facets(w).

Create facet configuration with specified facet_name.

Query Params
string
required
length between 1 and 100

The key of the index to use.

string
length between 1 and 100

The section of the index to use. Defaults to Products.

string
length between 1 and 100

The ID of the client and version that the request is coming from, such as cio-js-2.90.

Body Params
options
array of objects
Defaults to

A list of facet option configurations to create and associate with this facet configuration. Default value is [] (empty list).

Options
string
required
length between 1 and 100

The facet name used to refer to the facet in your catalog. Must be unique inside the section and key.

string
enum
required
Allowed:
string
length ≤ 200

The name of the facet to present to end users. Default value is null, in which case the name will be presented.

string
enum
Defaults to relevance

Determines the default criterion by which options of this facet group are sorted. Must be one of relevance, value (to sort facet options alphanumerically), num_matches (to sort facet options by number of matching results). Default value is relevance. Sort can be overridden by setting the position attribute on facet options.

Allowed:
boolean
Defaults to false

true if this facet group's options should be sorted in descending order, false to sort ascending. Default value is true if sort_order is relevance or num_matches and false for value. Setting sort_order: relevance will set sort_descending: true for POST, PUT, PATCH endpoints if sort_descending is not explicitly set in the request.

string
enum

Should be static if a facet is configured as range. If the facet is not configured as a range, value will be null. Default value is null.

Allowed:
string
enum

Format of range facets. Determines whether the facet is configured to display as a slider (in which case the search endpoint will return only min & max values) or as a list of buckets. boundaries for sliders, options for buckets. Default value is null.

Allowed:
string
enum

Used to create inclusive buckets. For example, for a rating facet, you might want to display options like 1 and above, 2 and above, 3 and above, etc. Values can be either above (options have no upper bound), below (options have no lower bound), or null if range options should not be inclusive. Default value is null

Allowed:
range_limits
array
length between 1 and 24

Defines the cut-off points for generating static range buckets. Expects list of sorted numbers (like [10, 25, 40]). Default value is null

Range Limits
string
enum
Defaults to any

Match types specify the behavior of filters when multiple options of the same facet (e.g: color: yellow & blue) are selected. Specifies whether the results must match all options, any of them or none.

Allowed:
integer

Used to slot facet groups to fixed positions. Default value is null.

boolean
Defaults to false

Specifies whether the facet is hidden from users. Use this for facet data that you don't want shown to end users, but that isn't sensitive.

boolean
Defaults to false

Specifies whether the facet is protected from users. Setting this to true will require authentication to view the facet.

boolean
Defaults to true

Specifies whether counts for each facet option should be calculated and shown in the response. Setting this to false will skip counting these options, improving performance for facets with high cardinality.

integer
0 to 2000
Defaults to 500

Maximum number of options of facet type multiple to return in search responses. If absent, the default limit is applied.

data
object

Dictionary with any extra facet data. Default value is {} (empty dictionary).

Responses

400

Validation Error

401

Credentials are not passed or action is forbidden.

403

The supplied token does not have the required permissions.

429

Rate limit breached

Language
Credentials
:
LoadingLoading…
Response
Choose an example:
application/json